import QtQuick 1.1

Rectangle {
    id: screen
    width: isRealPortrait ? 480 : 800
    height: isRealPortrait ? 800 : 480
    color: "#101010"

    Item { //TODO rewrite it
        id: rotatorItem
        width: 480
        height: 800
        anchors.centerIn: parent
        rotation: {
            if (isRealPortrait && isPortrait)
                return 0
            else if (!isRealPortrait && !isPortrait)
                return -90
            else if (!isRealPortrait && isPortrait)
                return -90
            else if (isRealPortrait && !isPortrait)
                return 0
        }
        HildonBar {
            z: 20
            id: topBar
        }
        MainPage {
            id: mainPage
            z: 10
        }
        Image {
            z: 5
            rotation: 0
            source:  "images/wallpaper.png"
            anchors.centerIn: parent
        }


    }
    FontLoader {
        id: mainFont
        name: "Open Sans"
    }


}

